Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class DoublyLinkedListItr

    java.lang.Object
      com.fujitsu.iflow.common.DoublyLinkedListItr

All Implemented Interfaces:
  java.io.Serializable

public class DoublyLinkedListItr
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DoublyLinkedListItr(DoublyLinkedList anyList)`

Method Summary
`void` | `advance()`
`boolean` | `find(java.lang.Object s)`
`java.lang.Object` | `first()`
`void` | `insertAfter(java.lang.Object toBeInserted, java.lang.Object insertAfterThis)`
`void` | `insertBefore(java.lang.Object toBeInserted, java.lang.Object insertBeforeThis)`
`boolean` | `isEmpty()`
`boolean` | `isFirst(java.lang.Object obj)`
`boolean` | `isInList()`
`boolean` | `isLast(java.lang.Object obj)`
`java.lang.Object` | `last()`
`void` | `remove(java.lang.Object s)`
`void` | `retreat()`
`java.lang.Object` | `retrieve()`
`void` | `zeroth()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoublyLinkedListItr

    public DoublyLinkedListItr(DoublyLinkedList anyList)

Method Detail

### insertAfter

    public void insertAfter(java.lang.Object toBeInserted,
                            java.lang.Object insertAfterThis)
                     throws com.fujitsu.iflow.common.exceptions.IflowException

  Throws:
    `com.fujitsu.iflow.common.exceptions.IflowException`

### insertBefore

    public void insertBefore(java.lang.Object toBeInserted,
                             java.lang.Object insertBeforeThis)
                      throws com.fujitsu.iflow.common.exceptions.IflowException

  Throws:
    `com.fujitsu.iflow.common.exceptions.IflowException`

### remove

    public void remove(java.lang.Object s)
                throws com.fujitsu.iflow.common.exceptions.IflowException

  Throws:
    `com.fujitsu.iflow.common.exceptions.IflowException`

### find

    public boolean find(java.lang.Object s)
                 throws com.fujitsu.iflow.common.exceptions.IflowException

  Throws:
    `com.fujitsu.iflow.common.exceptions.IflowException`

### zeroth

    public void zeroth()

### advance

    public void advance()

### retreat

    public void retreat()

### isInList

    public boolean isInList()

### last

    public java.lang.Object last()

### first

    public java.lang.Object first()

### isLast

    public boolean isLast(java.lang.Object obj)

### isFirst

    public boolean isFirst(java.lang.Object obj)

### retrieve

    public java.lang.Object retrieve()

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD